> For the complete documentation index, see [llms.txt](https://docs.clashperk.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.clashperk.com/others/commands/autorole/leagues.md).

# /autorole leagues

Manage automatic role management for leagues.

Manage automatic role management for leagues.

## Options

| Name                        | Description                                                            |
| --------------------------- | ---------------------------------------------------------------------- |
| `unranked`                  | Unranked league role.                                                  |
| `skeleton`                  | Skeleton league role.                                                  |
| `barbarian`                 | Barbarian league role.                                                 |
| `archer`                    | Archer league role.                                                    |
| `wizard`                    | Wizard league role.                                                    |
| `valkyrie`                  | Valkyrie league role.                                                  |
| `witch`                     | Witch league role.                                                     |
| `golem`                     | Golem league role.                                                     |
| `pekka`                     | Pekka league role.                                                     |
| `titan`                     | Titan league role.                                                     |
| `dragon`                    | Dragon league role.                                                    |
| `electro`                   | Electro league role.                                                   |
| `legend_3`                  | Legend 3 league role.                                                  |
| `legend_2`                  | Legend 2 league role.                                                  |
| `legend`                    | Legend league role.                                                    |
| `5200_5249`                 | Trophy range 5200 - 5249 role.                                         |
| `5250_5499`                 | Trophy range 5250 - 5499 role.                                         |
| `5500_5749`                 | Trophy range 5500 - 5749 role.                                         |
| `5750_5999`                 | Trophy range 5750 - 5999 role.                                         |
| `6000_8000`                 | Trophy range 6000 - 8000 role.                                         |
| `allow_non_family_accounts` | Whether to give roles to the members that are not in the family clans. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.clashperk.com/others/commands/autorole/leagues.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
